Generate WhatsApp webhook token
curl --request POST \
--url https://prod-platform-core-api.20x.business/api/v1/whatsapp/webhook-token \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/whatsapp/webhook-token"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/whatsapp/webhook-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));WhatsApp Campaigns
Generate WhatsApp webhook token
Generate or retrieve the persistent webhook verify token
POST
/
whatsapp
/
webhook-token
Generate WhatsApp webhook token
curl --request POST \
--url https://prod-platform-core-api.20x.business/api/v1/whatsapp/webhook-token \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/whatsapp/webhook-token"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/whatsapp/webhook-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Generates a secure verification token for Meta webhook subscription verification. If a token already exists for the tenant, returns the existing token idempotently.
curl -X POST https://prod-campaign-engine-api.20x.business/api/v1/whatsapp/webhook-token \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
import requests
response = requests.post(
"https://prod-campaign-engine-api.20x.business/api/v1/whatsapp/webhook-token",
headers={
"Authorization": f"Bearer {API_KEY}",
"Content-Type": "application/json",
},
json={},
)
print(response.json())
const response = await fetch(
"https://prod-campaign-engine-api.20x.business/api/v1/whatsapp/webhook-token",
{
method: "POST",
headers: {
Authorization: `Bearer ${API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({}),
},
);
const data = await response.json();
console.log(data);
Response
{
"token": "wa_verify_sec_990e8400e29b41d4a716446655440000"
}

